---
lang: en
title: 'API docs: rest.resthttperrors.validationerrordetails'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.resthttperrors.validationerrordetails.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestHttpErrors](./rest.resthttperrors.md) &gt; [ValidationErrorDetails](./rest.resthttperrors.validationerrordetails.md)

## RestHttpErrors.ValidationErrorDetails interface

An invalid request body error contains a `details` property as the machine-readable error. Each entry in `error.details` contains 4 attributes: `path`<!-- -->, `code`<!-- -->, `info` and `message`<!-- -->. `ValidationErrorDetails` defines the type of each entry, which is an object. The type of `error.details` is `ValidationErrorDetails[]`<!-- -->.

**Signature:**

```typescript
interface ValidationErrorDetails 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[code](./rest.resthttperrors.validationerrordetails.code.md)


</td><td>


</td><td>

string


</td><td>

A single word code represents the error's type.


</td></tr>
<tr><td>

[info](./rest.resthttperrors.validationerrordetails.info.md)


</td><td>


</td><td>

object


</td><td>

Some additional details that the 3 attributes above don't cover.


</td></tr>
<tr><td>

[message](./rest.resthttperrors.validationerrordetails.message.md)


</td><td>


</td><td>

string


</td><td>

A human readable description of the error.


</td></tr>
<tr><td>

[path](./rest.resthttperrors.validationerrordetails.path.md)


</td><td>


</td><td>

string


</td><td>

A path to the invalid field.


</td></tr>
</tbody></table>

